#include "CubicModel.h"

fkut_CubicModel::fkut_CubicModel(void) : fk_Model()
{
	setShape(&shape);
	setSmoothMode(true);

	return;
}

fkut_CubicModel::~fkut_CubicModel(void)
{
}

bool fkut_CubicModel::setParent(fk_Model &model, bool setMode)
{
	return fk_Model::setParent(&model, setMode);
}

void fkut_CubicModel::makeCircle(int div, double r)
{
	shape.makeCircle(div, r);

	return;
}

void fkut_CubicModel::makeBlock(double w, double h, double d)
{
	shape.makeBlock(w, h, d);

	return;
}

void fkut_CubicModel::makeSphere(int div, double r)
{
	shape.makeSphere(div, r);

	return;
}

void fkut_CubicModel::makePrism(int div, double r1, double r2, double h)
{
	shape.makePrism(div, r1, r2, h);

	return;
}

void fkut_CubicModel::makeCone(int div, double r, double h)
{
	shape.makeCone(div, r, h);

	return;
}
